<?php
require_once 'Pager/Pager.php';

for ($i = 1; $i <= 95; $i++) {
    $numbers[] = $i;
}

$params = array(
    'mode'      => 'Sliding',
    'perPage'   => 10,
    'urlVar'    => 'pageNo',
    'altPrev'   => '前へ',
    'altNext'   => '次へ',
    'altPage'   => 'ページ',
    'prevImg'   => '&lt; 前へ',
    'nextImg'   => '次へ &gt;',
    'spacesBeforeSeparator' => 1,
    'spacesAfterSeparator' => 1,
    'firstPagePre' => '',
    'firstPageText' => '最初',
    'firstPagePost' => '',
    'lastPagePre' => '',
    'lastPageText' => '最後',
    'lastPagePost' => '',
    'separator' => '',
    'itemData'   => $numbers
);
$pager =& Pager::factory($params);
$records  = $pager->getPageData();
$links = $pager->getLinks();
list($first, $last) = $pager->getOffsetByPageId($pageID);
?>
<!doctype html public "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Pear::Pager Sample Code</title>
<style type="text/css">
body {margin: 20px; color: #333;}
h1 {margin: 2em; font: bold 120% verdana, sans-serif;}

#datalist {
  margin: 0 0 0 100px;
}

#pagination {
  margin: 10px 0 0 0;
  padding: 3px 5px;
  color: #666;
}

#pagination a {
  color: #5694e4;
  background: #fff;
  border: 1px solid #ccc;
  margin: 3px;
  padding: 3px 5px;
  text-decoration: none;
  font-weight: normal;
}

#pagination a:hover {
  color: #fff;
  background-color: #ccc;
}

#pagination u {
  text-decoration: none;
}

#countinfo {
  display:inline;
  padding: 0px 10px;
}

#first, #prev, #next, #last {
  display:inline;
  margin: 0 5px;
}
</style>
<body>
<h1>Search Pagination & Item Pagination</h1>
<div id="pagination">
<?= $links['back'] . $links['pages'] . $links['next'] ?>
</div>
<div id="pagination">
<div id="countinfo"><?= $pager->numItems() ?>件中<?= $first ?> - <?= $last ?>件目を表示</div>|<div id="first">
<?php if( $pager->isFirstPage() ) { ?>
最初
<?php } else { ?>
<?= $links['first'] ?>
<?php } ?></div>|<div id="prev">
<?php if ( $pager->getPreviousPageID() ) { ?>
<?= $links['back'] ?>
<?php } else { ?>
&lt; 前へ
<?php } ?></div>|<div id="next">
<?php if ( $pager->getNextPageID() ) { ?>
<?= $links['next'] ?>
<?php } else { ?>
次へ &gt;
<?php } ?></div>|<div id="last">
<?php if ( $pager->isLastPage() ) { ?>
最後
<?php } else { ?>
<?= $links['last'] ?>
<?php } ?></div>
</div>
<div id="datalist">
<ul>
<?php
foreach ($records as $record) {
    echo '<li>'. $record . '</li>';
}
?>
</ul>
</div>
</body>
</html>
